<%@ Page language="c#" AutoEventWireup="false" EnableViewState="false" Inherits="V5Shop.Web.login" %>
<%@ Import namespace="System.Data" %>
<%@ Import namespace="V5Shop.Common" %>
<%@ Import namespace="Microsoft.Practices.EnterpriseLibrary.Caching" %>
<script runat="server">
override protected void OnInit(EventArgs e)
{

	/* 
		This page was created by V5Shop Template Engine at 2009-5-15 23:25:07.
		本页面代码由V5Shop模板引擎生成于 2009-5-15 23:25:07. 
	*/

	base.OnInit(e);
	
	int productsearch__loop__id=0;
	int keysearch__loop__id=0;
	int helpcategorysearch__loop__id=0;
	int helpsearchbyid__loop__id=0;
	int imglinksearch__loop__id=0;
	int wordlinksearch__loop__id=0;
	int infosearch__loop__id=0;templateBuilder.Append("<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTmL 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">\r\n");
	templateBuilder.Append("<!--Created Page at 2008-8-8 18:47:50,by V5Shop.com.cn   V5Shop Management Systeme 8.0-->\r\n");
	templateBuilder.Append("<html>\r\n");
	templateBuilder.Append("<head><base href=\"http://localhost/0418/template/default/\" />\r\n");
	templateBuilder.Append("        <meta content=\"text/html;charset=utf-8\" http-equiv=\"Content-Type\" />\r\n");
	templateBuilder.Append("<title>" + shoptitle.ToString() + "</title>\r\n");
	templateBuilder.Append("<meta name=\"keywords\" content=\"" + keywords.ToString() + "\" />\r\n");
	templateBuilder.Append("<meta name=\"description\" content=\"" + description.ToString() + "\" />\r\n");
	templateBuilder.Append("<script language=\"javascript\" src=\"js/common.js\" type=\"text/javascript\"></"+"script>\r\n");
	templateBuilder.Append("<link href=\"css/css.css\" type=\"text/css\" rel=\"stylesheet\" />\r\n");
	templateBuilder.Append("<link rel=\"shortcut icon\" href=\"/0418/favicon.ico\" />\r\n");
	templateBuilder.Append("<link href=\"css/css_user.css\" rel=\"stylesheet\" type=\"text/css\">\r\n");
	templateBuilder.Append("</head>\r\n");
	templateBuilder.Append("<body text=000000 link=0000cc vlink=0000cc alink=ff6600 topmargin=\"0\" leftmargin=\"0\" bottommargin=\"0\" rightmargin=\"0\">\r\n");
	templateBuilder.Append("<center>\r\n");
	templateBuilder.Append("\r\n");
	templateBuilder.Append("<div><div class=\"top1\"><div style=\"height:60px; overflow:hidden; float:left\"><div id=\"newobj\">\r\n");
	
	productsearch__loop__id=0;
	foreach(DataRow productsearch_member in getTable("productsearch","0,5,0,0,OrderID,ASC,0,0,0,[id]$[name]$[srcdetail]$[marketprice]$[memberprice],1,["+wd+"],["+vid+"],["+pid+"],["+brandid+"],[0],[0],["+startprice+"],["+endprice+"],["+shortname+"]").Rows)
	{
	if(productsearch__loop__id == 5 && productsearch__loop__id != 0) break;
		productsearch__loop__id++;
	templateBuilder.Append("<div class='top1l'><div class=\"top1l\">\r\n");
	templateBuilder.Append("<div class=\"top1ll\"><a target=\"_blank\" href=\"/0418/product.aspx?id=" + productsearch_member["id"].ToString() + "\"><img height=\"50\" alt=\"" + left(productsearch_member["name"].ToString(),10) + "\" width=\"50\" border=\"0\" src='" + gettmpimg(productsearch_member["srcdetail"].ToString(),50,50) + "' width='50' height='50'  /></a></div>\r\n");
	templateBuilder.Append("<div class=\"top1lr\"><b><a target=\"_blank\" href=\"/0418/product.aspx?id=" + productsearch_member["id"].ToString() + "\">" + left(productsearch_member["name"].ToString(),10) + "</a></b><br />\r\n");
	templateBuilder.Append("<s>￥" + productsearch_member["marketprice"].ToString() + "</s> &rarr; <font color=\"#ff6600\">￥" + productsearch_member["memberprice"].ToString() + "</font></div>\r\n");
	templateBuilder.Append("</div></div>\r\n");
	
	}	//end loop
	templateBuilder.Append("</div></div><script language=\"javascript\" type=\"text/javascript\">\r\n");
	templateBuilder.Append("var speed1 = 11;\r\n");
	templateBuilder.Append("var start1 = 0;\r\n");
	templateBuilder.Append("var end1 = -60;\r\n");
	templateBuilder.Append("var totolnum = 4;\r\n");
	templateBuilder.Append("var per = -60;\r\n");
	templateBuilder.Append("var timer = 5000;\r\n");
	templateBuilder.Append("function Moveup(){\r\n");
	templateBuilder.Append("var obj1 = document.getElementById(\"newobj\");\r\n");
	templateBuilder.Append("start1 = start1 - speed1\r\n");
	templateBuilder.Append("speed1--;\r\n");
	templateBuilder.Append("obj1.style.marginTop = start1 + \"px\";\r\n");
	templateBuilder.Append("if(start1 > end1){\r\n");
	templateBuilder.Append("setTimeout(\"Moveup()\",6);\r\n");
	templateBuilder.Append("}else{\r\n");
	templateBuilder.Append("if(totolnum*per == end1){\r\n");
	templateBuilder.Append("obj1.style.marginTop = \"0px\";\r\n");
	templateBuilder.Append("start1 = 0;\r\n");
	templateBuilder.Append("end1 = per;\r\n");
	templateBuilder.Append("}else{\r\n");
	templateBuilder.Append("obj1.style.marginTop = end1 + \"px\";\r\n");
	templateBuilder.Append("end1 = end1 + per;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("speed1 = 11;\r\n");
	templateBuilder.Append("setTimeout(\"Moveup()\",timer);\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("setTimeout(\"Moveup()\",timer);\r\n");
	templateBuilder.Append("</"+"script>\r\n");
	templateBuilder.Append("<div class=\"toplogo\"><a href=\"" + logourl.ToString() + "\"><img alt=\"\" width=\"236\" border=\"0\" src=\"" + logo.ToString() + "\" /></a></div>\r\n");
	templateBuilder.Append("<div class=\"top1r\"><a href=\"/0418/mallindex.aspx\"><img alt=\"\" border=\"0\" src=\"images/top/key_shop.gif\" /></a><a href=\"/0418/articleindex.aspx\"><img alt=\"\" border=\"0\" src=\"images/top/key_events.gif\" /></a><a href=\"/0418/message.aspx\"><img alt=\"\" border=\"0\" src=\"images/top/key_message.gif\" /></a><a href=\"/0418/content.aspx?wd=about\"><img alt=\"\" border=\"0\" src=\"images/top/key_about.gif\" /></a><a href=\"/0418/content.aspx?wd=contact\"><img alt=\"\" border=\"0\" src=\"images/top/key_contact.gif\" /></a></div>\r\n");
	templateBuilder.Append("</div><div class=\"top2\"><div class=\"lanmudefault\"><a href=\"/0418/index.aspx\" name=\"topurl\"><span>首页</span></a></div><div class=\"lanmudefault\"><a href=\"/0418/brandindex.aspx\" name=\"topurl\"><span>品牌</span></a></div><div class=\"lanmudefault\"><a href=\"/0418/activityindex.aspx\" name=\"topurl\"><span>活动</span></a></div><div class=\"lanmudefault\"><a href=\"/0418/guideindex.aspx\" name=\"topurl\"><span>导购</span></a></div><div class=\"lanmudefault\"><a href=\"/0418/couponindex.aspx\" name=\"topurl\"><span>优惠券</span></a></div><div class=\"lanmudefault\"><a href=\"/0418/scoreindex.aspx\" name=\"topurl\"><span>兑换</span></a></div><div class=\"lanmudefault\"><a href=\"/0418/groupbuyindex.aspx\" name=\"topurl\"><span>团购</span></a></div><div class=\"lanmudefault\"><a class=\"end\" href=\"/0418/snatchindex.aspx\" name=\"topurl\"><span>夺宝奇兵</span></a></div><div class=\"top2r\"><script language=\"javascript\">\r\n");
	templateBuilder.Append("function showmenu(){\r\n");
	templateBuilder.Append("    var url = document.URL;\r\n");
	templateBuilder.Append("    \r\n");
	templateBuilder.Append("    var urls = document.getElementsByName(\"topurl\");\r\n");
	templateBuilder.Append("    for(var i=0;i<urls.length;i++){\r\n");
	templateBuilder.Append("        if(urls[i] == url){\r\n");
	templateBuilder.Append("            urls[i].parentNode.className = 'lanmuselect';\r\n");
	templateBuilder.Append("			return;\r\n");
	templateBuilder.Append("        }\r\n");
	templateBuilder.Append("    }\r\n");
	templateBuilder.Append("	\r\n");
	templateBuilder.Append("	urls[0].parentNode.className = 'lanmuselect';\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("\r\n");
	templateBuilder.Append("showmenu();\r\n");
	templateBuilder.Append("</"+"script>\r\n");
	templateBuilder.Append("<script language=\"javascript\" type=\"text/javascript\" src=\"/0418/js_userinfo.aspx?p=" + pagenow.ToString() + "\"></"+"script>&nbsp;&nbsp;&nbsp;&nbsp; <a target=\"_blank\" href=\"/0418/member/\">会员之家</a> | <a target=\"_blank\" href=\"/0418/cart.aspx\">购物车</a> | <a target=\"_blank\" href=\"/0418/helpindex.aspx\">帮助中心</a></div></div><div class=\"top3\">\r\n");
	templateBuilder.Append("  <div class=\"top3m\">\r\n");
	templateBuilder.Append("    <div class=\"top3ml\"><a href=\"/0418/mallindex.aspx\"><img alt=\"\" border=\"0\" src=\"images/top/catelabel.gif\" /></a></div>\r\n");
	templateBuilder.Append("    <div class=\"top3mm\">\r\n");
	templateBuilder.Append("	<script language=\"javascript\">var spath = '/0418/';</"+"script>\r\n");
	templateBuilder.Append("	<script language=\"javascript\" src=\"js/changeType.js\"></"+"script>\r\n");
	templateBuilder.Append("      <form id=\"searchform\" action=\"/0418/list.aspx\" onsubmit=\"changeURL()\">\r\n");
	templateBuilder.Append("        <select id=\"SearchType\" onchange=\"document.getElementById('searchform').action = this.options[this.selectedIndex].value\">\r\n");
	templateBuilder.Append("          <option value=\"/0418/list.aspx\" selected=\"selected\">查询商品</option>\r\n");
	templateBuilder.Append("          <option value=\"/0418/articlelist.aspx\">查询文章</option>\r\n");
	templateBuilder.Append("          <option value=\"/0418/shippingadvice.aspx\">发货通知</option>\r\n");
	templateBuilder.Append("        </select>\r\n");
	templateBuilder.Append("        <input class=\"input\" name=\"wd\" type=\"text\" />\r\n");
	templateBuilder.Append("        <input style=\"vertical-align: bottom\" type=\"image\" src=\"images/top/searchkey.gif\" />\r\n");
	templateBuilder.Append("      </form>\r\n");
	templateBuilder.Append("	  <script language=\"javascript\">ChooseSelect()</"+"script>\r\n");
	templateBuilder.Append("    </div>\r\n");
	templateBuilder.Append("    <div class=\"top3mr\">\r\n");
	
	keysearch__loop__id=0;
	foreach(DataRow keysearch_member in getTable("keysearch","0").Rows)
	{
	if(keysearch__loop__id == 6 && keysearch__loop__id != 0) break;
		keysearch__loop__id++;
	templateBuilder.Append("<a title=\"" + left(keysearch_member["name"].ToString(),6) + "\" href=\"/0418/list.aspx?wd=" + keysearch_member["EncodeName"].ToString() + "\" style=\"color:white;\">" + left(keysearch_member["name"].ToString(),6) + "</a>\r\n");
	
	}	//end loop
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("  </div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<div class=\"address3\">\r\n");
	templateBuilder.Append("  <b>当前位置：</b><a href=\"/0418/index.aspx\">首页</a> &gt; 会员中心 &gt; 会员登陆</div>\r\n");
	templateBuilder.Append("<div class=\"div3\">\r\n");
	templateBuilder.Append("  <div class=\"div3l\">\r\n");
	templateBuilder.Append("    <div class=\"div1lbg\"><div><img height=\"34\" alt=\"\" width=\"144\" border=\"0\" src=\"images/member/memberlabel.gif\" /></div><div><br /><br />以商城会员的身份在商城进行商品购买可以根据您的个人等级享受额外的优惠价格，现在注册还有100点积分赠送活动，这么称心的服务您还犹豫什么呢？<ul><li><a href=\"/0418/register.aspx\">会员注册</a></li><li><a href=\"/0418/login.aspx\">会员登录</a></li><li><a href=\"/0418/pswback.aspx\">密码找回</a></li></ul></div><div></div></div>\r\n");
	templateBuilder.Append("    <div>\r\n");
	templateBuilder.Append("      <script language=\"JavaScript\" src=\"Show/f457f8fd-f7ea-4c9d-8f34-73b277bdeee0.js\" type=\"text/javascript\"></"+"script>\r\n");
	templateBuilder.Append("    </div>\r\n");
	templateBuilder.Append("  </div>\r\n");
	templateBuilder.Append("  <div class=\"div4r\">\r\n");
	templateBuilder.Append("    <div align=\"center\"><script language=\"javascript\" src=\"Show/5b22b32e-ed04-425d-aa08-0fbd84f29536.js\"></"+"script></div>\r\n");
	templateBuilder.Append("	<div class=\"prolabel2\"><img src=\"images/member/loginlabel.gif\" width=\"214\" height=\"32\" /></div>\r\n");
	templateBuilder.Append("	<div class=\"helpbg\">\r\n");
	templateBuilder.Append("		<div class=\"helplist3\">\r\n");
	templateBuilder.Append("			<script language=\"javascript\" src=\"../public/js/common.js\" type=\"text/javascript\"></"+"script>\r\n");
	templateBuilder.Append("<script language=\"javascript\" src=\"../public/js/login.js\" type=\"text/javascript\"></"+"script>\r\n");
	templateBuilder.Append("<form name=\"loginform\" action=\"\" method=\"post\">\r\n");
	templateBuilder.Append("			  <input type=\"hidden\" name=\"act\" value=\"login\" />\r\n");
	templateBuilder.Append("                <table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\r\n");
	templateBuilder.Append("                  <tr>\r\n");
	templateBuilder.Append("                    <td width=\"40%\" height=\"35\" align=\"left\">　　<strong><font color=\"#3359BD\">用户名称：</font></strong>\r\n");
	templateBuilder.Append("                        <input type=\"text\" name=\"username\" id=\"username\" class=\"input\" value=\"" + base.CookieLoginIDTemp.ToString() + "\" />\r\n");
	templateBuilder.Append("                    <font color=\"#999999\">填写商城会员注册帐号------</font></td>\r\n");
	templateBuilder.Append("                  </tr>\r\n");
	templateBuilder.Append("                  <tr>\r\n");
	templateBuilder.Append("                    <td height=\"35\" align=\"left\">　　<strong><font color=\"#3359BD\">会员密码：</font></strong>\r\n");
	templateBuilder.Append("                        <input type=\"password\" name=\"password\" id=\"password\" class=\"input\" />\r\n");
	templateBuilder.Append("                    <font color=\"#999999\">请正确输入注册密码-------</font></td>\r\n");
	templateBuilder.Append("                  </tr>\r\n");
	templateBuilder.Append("				  \r\n");
					
	if(config.SafeCode_Login.Value == "0"){
	templateBuilder.Append("				 <tr>\r\n");
	templateBuilder.Append("                    <td height=\"35\" align=\"left\">　　<strong><font color=\"#3359BD\">验 证 码：</font></strong>\r\n");
	templateBuilder.Append("                        <input class=\"input\" id=\"checkcode\" size=\"8\" maxlength=\"4\" name=\"verify\" type=\"text\" />\r\n");
	templateBuilder.Append("                      	<img id=\"verifyimg\" style=\"cursor:pointer\" alt=\"看不清，点击换一张\" onclick=\"ChangeVerifyImg()\" align=\"absmiddle\" />\r\n");
	templateBuilder.Append("					  	<script language=\"javascript\">\r\n");
	templateBuilder.Append("						function ChangeVerifyImg(){\r\n");
	templateBuilder.Append("							document.getElementById(\"verifyimg\").src = '/0418/member/verifyimg.aspx?d=' + Date();\r\n");
	templateBuilder.Append("						}\r\n");
	templateBuilder.Append("						//初始化\r\n");
	templateBuilder.Append("						ChangeVerifyImg();\r\n");
	templateBuilder.Append("						</"+"script>\r\n");
	templateBuilder.Append("				   </td>\r\n");
	templateBuilder.Append("                  </tr>\r\n");
					  
	}	//end if
	templateBuilder.Append("				  \r\n");
	templateBuilder.Append("                  <tr>\r\n");
	templateBuilder.Append("                    <td height=\"1\" align=\"left\" background=\"../public/images/dian.gif\"><img src=\"../public/images/null.gif\" width=\"1\" height=\"1\" /></td>\r\n");
	templateBuilder.Append("                  </tr>\r\n");
	templateBuilder.Append("                  <tr>\r\n");
	templateBuilder.Append("                    <td height=\"35\" align=\"left\" bgcolor=\"#f7f7f7\"><span class=\"a2\">　　尚未注册？→<a href=\"/0418/register.aspx\"><font color=\"#FF6600\">点击立即注册！！</font></a></span></td>\r\n");
	templateBuilder.Append("                  </tr>\r\n");
	templateBuilder.Append("                  <tr>\r\n");
	templateBuilder.Append("                    <td height=\"35\" align=\"left\" bgcolor=\"#f7f7f7\">　　忘记密码？<span class=\"a2\">→<a href=\"/0418/pswback.aspx\"><font color=\"#007700\">点击此处找回密码</font></a></span></td>\r\n");
	templateBuilder.Append("                  </tr>\r\n");
	templateBuilder.Append("                  <tr>\r\n");
	templateBuilder.Append("                    <td height=\"35\" align=\"left\" bgcolor=\"#f7f7f7\">　　\r\n");
	templateBuilder.Append("                    <input type=\"image\" src=\"../public/images/member/loginkey.gif\" onclick=\"return CheckLogin()\" />　<a href=\"/0418/register.aspx\"><img src=\"../public/images/member/regkey.gif\" border=\"0\" /></a></td>\r\n");
	templateBuilder.Append("                  </tr>\r\n");
	templateBuilder.Append("  </table>\r\n");
	templateBuilder.Append("			 </form>\r\n");
	templateBuilder.Append("		</div>	\r\n");
	templateBuilder.Append("		<br clear=\"all\" />\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("  <br clear=\"all\" />\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<div class=\"bottom1\"><div class=\"bottom11\"><img alt=\"\" src=\"images/bottom/bgt.gif\" /></div><div class=\"bottom12\"><div class=\"bottom12m\"><div class=\"bottom12ml\"><div><img alt=\"\" src=\"images/bottom/helplabel.gif\" /></div><div class=\"bottom12mlkey\"><a target=\"_blank\" href=\"/0418/helpindex.aspx\">商城帮助</a></div><div class=\"bottom12mlkey\"><a target=\"_blank\" href=\"/0418/shippingadvice.aspx\">发货通知</a></div><div class=\"bottom12mlkey\"><a target=\"_blank\" href=\"/0418/poll.aspx\">问卷调查</a></div><div class=\"bottom12mlkey\"><a target=\"_blank\" href=\"/0418/subscription.aspx\">邮件订阅</a></div></div><div class=\"bottom12mr\"><ul>\r\n");
	
	helpcategorysearch__loop__id=0;
	foreach(DataRow helpcategorysearch_member in getTable("helpcategorysearch","[id]$[name]").Rows)
	{
	if(helpcategorysearch__loop__id == 6 && helpcategorysearch__loop__id != 0) break;
		helpcategorysearch__loop__id++;
	templateBuilder.Append("<li><div class=\"helpcate\"><a target=\"_blank\" href=\"/0418/helplist.aspx?id=" + helpcategorysearch_member["id"].ToString() + "\">" + left(helpcategorysearch_member["name"].ToString(),6) + "</a></div>\r\n");
	templateBuilder.Append("<div class=\"helplist\"><ul>\r\n");
	
	helpsearchbyid__loop__id=0;
	foreach(DataRow helpsearchbyid_member in getTable("helpsearchbyid","["+helpcategorysearch_member["id"]+"],[id]$[title]").Rows)
	{
	if(helpsearchbyid__loop__id == 5 && helpsearchbyid__loop__id != 0) break;
		helpsearchbyid__loop__id++;
	templateBuilder.Append("<li><a target=\"_blank\" href=\"/0418/help.aspx?id=" + helpsearchbyid_member["id"].ToString() + "\">" + left(helpsearchbyid_member["title"].ToString(),30) + "</a></li>\r\n");
	
	if((helpsearchbyid__loop__id % 1 == 0)){
	templateBuilder.Append("</ul><ul>\r\n");
	
	}	//end if
	templateBuilder.Append("\r\n");
	
	}	//end loop
	templateBuilder.Append("</ul></div></li>\r\n");
	
	if((helpcategorysearch__loop__id % 50 == 0)){
	templateBuilder.Append("</ul><ul>\r\n");
	
	}	//end if
	templateBuilder.Append("\r\n");
	
	}	//end loop
	templateBuilder.Append("</ul></div></div></div><div class=\"bottom11\"><img alt=\"\" src=\"images/bottom/bgb.gif\" /></div></div><div class=\"bottom2\">\r\n");
	templateBuilder.Append("  <div class=\"bottom2m\">\r\n");
	templateBuilder.Append("    <div id=\"link1\">\r\n");
	templateBuilder.Append("      <ul>\r\n");
	
	imglinksearch__loop__id=0;
	foreach(DataRow imglinksearch_member in getTable("imglinksearch","[id]$[href]$[name]$[src]").Rows)
	{
	if(imglinksearch__loop__id == 10 && imglinksearch__loop__id != 0) break;
		imglinksearch__loop__id++;
	templateBuilder.Append("<li><a target=\"_blank\" href=\"" + imglinksearch_member["href"].ToString() + "\"><img alt=\"" + left(imglinksearch_member["name"].ToString(),30) + "\" border=\"0\" src='" + gettmpimg(imglinksearch_member["src"].ToString(),100,33) + "' width='100' height='33'  /></a></li>\r\n");
	
	if((imglinksearch__loop__id % 100 == 0)){
	templateBuilder.Append("</ul><ul>\r\n");
	
	}	//end if
	templateBuilder.Append("\r\n");
	
	}	//end loop
	templateBuilder.Append("</ul>\r\n");
	templateBuilder.Append("    </div>\r\n");
	templateBuilder.Append("    <div id=\"link2\">\r\n");
	templateBuilder.Append("      <ul>\r\n");
	
	wordlinksearch__loop__id=0;
	foreach(DataRow wordlinksearch_member in getTable("wordlinksearch","[id]$[name]$[href]").Rows)
	{
	if(wordlinksearch__loop__id == 10 && wordlinksearch__loop__id != 0) break;
		wordlinksearch__loop__id++;
	templateBuilder.Append("<li><a title=\"" + left(wordlinksearch_member["name"].ToString(),30) + "\" target=\"_blank\" href=\"" + wordlinksearch_member["href"].ToString() + "\">" + left(wordlinksearch_member["name"].ToString(),30) + "</a></li>\r\n");
	
	if((wordlinksearch__loop__id % 10 == 0)){
	templateBuilder.Append("</ul><ul>\r\n");
	
	}	//end if
	templateBuilder.Append("\r\n");
	
	}	//end loop
	templateBuilder.Append("</ul>\r\n");
	templateBuilder.Append("    </div>\r\n");
	templateBuilder.Append("  </div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<div class=\"bottom3\"><div class=\"bottom3l\"><a href=\"/0418/index.aspx\"><img alt=\"\" width=\"236\" border=\"0\" src=\"" + logo.ToString() + "\" /></a></div><div class=\"bottom3r\"><span class=\"bottom3rA\">\r\n");
	
	infosearch__loop__id=0;
	foreach(DataRow infosearch_member in getTable("infosearch","[id]$[title]$[byname]").Rows)
	{
	if(infosearch__loop__id == 9 && infosearch__loop__id != 0) break;
		infosearch__loop__id++;
	templateBuilder.Append("<a title=\"" + left(infosearch_member["title"].ToString(),6) + "\" target=\"_blank\" href=\"/0418/content.aspx?wd=" + infosearch_member["byname"].ToString() + "\">" + left(infosearch_member["title"].ToString(),6) + "</a> |\r\n");
	
	}	//end loop
	templateBuilder.Append(" <a target=\"_blank\" href=\"/0418/sitemap.aspx\">网站地图</a></span><br /><br />" + copyright.ToString() + " <br /><a target=\"_blank\" href=\"http://www.miibeian.gov.cn/\">" + icp.ToString() + "</a></div></div>" + jscontent.ToString() + " " + kft.ToString() + "<script src=\"/0418/js_floatqq.aspx\"></"+"script>\r\n");
	templateBuilder.Append("</center>\r\n");
	templateBuilder.Append("\r\n");
	templateBuilder.Append("</body>\r\n");
	templateBuilder.Append("</html>\r\n");
	templateBuilder.Append("\r\n");
	
templateBuilder.Append("<center style='font-size:12px;'>Designed By：<strong><a href='http://www.v5shop.com.cn/' target='_blank'>V5Shop</a></strong></center>");
	Response.Write(templateBuilder.ToString());
//init cache
	CacheManager testcaching = CacheFactory.GetCacheManager();
	if(!testcaching.Contains(Request.Url.ToString()))
	{
		testcaching.Add(Request.Url.ToString(), templateBuilder.ToString());
	}
}
</script>
